Loading...
Searching...
No Matches
LayerData Class Reference

Interface to store layer data structure.

`#include <avogadro/core/layermanager.h>`

## Public Member Functions

| LayerData (std::string save="")
virtual std::string | serialize ()
virtual void | deserialize (std::string save)
virtual LayerData * | clone ()
std::string | getSave () const

## Protected Member Functions

std::string | boolToString (bool b)
bool | stringToBool (std::string b)

## Protected Attributes

std::string | m_save

## Member Function Documentation

## serialize()

virtual std::string serialize | ( |  | ) |

virtual

save custom data, base save should never be called

## deserialize()

virtual void deserialize | ( | std::string | save | ) |

virtual

load the saved `save` data and wait to know the class type to recreate it

## getSave()

std::string getSave | ( |  | ) | const

get the saved data

The documentation for this class was generated from the following file:

- layermanager.h